#include "filecookiegetter.h"


#include "namespace_start.h"


class COperaCookieGetter:public CFileCookieGetterT<COperaCookieGetter>{

	friend Void UnitTest();
	typedef CFileCookieGetterT<COperaCookieGetter> Base;
public:
	
	COperaCookieGetter();


	Bool GetCookieInternal(const NString &domein,const NString &name,CCookie &cookie);


	static Bool Fancta(const Byte * data,ULong dataSize,const NString & domein,const NString &name,CCookie &cookie);

private:
	static NString CreateCookiePath();

};


#include "namespace_end.h"